Version information¶
Changed in version 1.12.0: API versioning
For requested versions of 1.12.0 or higher the api key on the response has been dropped.
- GET /api/version¶
Retrieve information regarding server and API version.
Returns a JSON object with two keys,
servercontaining the server version andtextcontaining the server version including the prefixOctoPrint(to determine that this is indeed a genuine OctoPrint instance).Example
GET /api/version HTTP/1.1 Host: example.com Authorization: Bearer abcdef... X-OctoPrint-Api-Version: 1.12.0HTTP/1.1 200 OK Content-Type: application/json { "server": "1.12.0", "text": "OctoPrint 1.12.0" }
- GET /api/version¶
Retrieve information regarding server and API version.
Returns a JSON object with three keys,
apiset to0.1,servercontaining the server version,textcontaining the server version including the prefixOctoPrint(to determine that this is indeed a genuine OctoPrint instance).Example
GET /api/version HTTP/1.1 Host: example.com X-Api-Key: abcdef...HTTP/1.1 200 OK Content-Type: application/json { "api": "0.1", "server": "1.12.0", "text": "OctoPrint 1.12.0" }